blk_queue_bounce_limit
Prev | Chapter 19. Block Devices | Next

## Name

blk_queue_bounce_limit — set bounce buffer limit for queue

## Synopsis

`void blk_queue_bounce_limit (` | struct request_queue * | q,
| u64 | dma_addr`)`;

## Arguments

`q`

  the request queue for the device

`dma_addr`

  bus address limit

## Description

Different hardware can have different requirements as to what pages it can do I/O directly to. A low level driver can call blk_queue_bounce_limit to have lower memory pages allocated as bounce buffers for doing I/O to pages residing above `page`.

Prev | Up | Next
blk_queue_ordered | Home | blk_queue_max_sectors